Bug 1173099 - xapian-core-devel missing libuuid-devel dependency
Summary: xapian-core-devel missing libuuid-devel dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xapian-core
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-11 13:03 UTC by Maciek Borzecki
Modified: 2015-04-02 15:38 UTC (History)
3 users (show)

Fixed In Version: xapian-bindings-1.2.20-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-29 04:48:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Maciek Borzecki 2014-12-11 13:03:38 UTC
Description of problem:

xapian-core-devel does not pull libuuid-devel as dependency, thus compilation with xapian-core does not work out of the box.

Perhaps caused by #1173098 as libxapian.la has this:
...
dependency_libs=' -lz -luuid'
...

Version-Release number of selected component (if applicable):
xapian-core-devel-1.2.19-1.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
1. install xapian-core-devel
2. build anything that uses autoconf/automake/libtool
3. xapians .la file is picked up, -luuid added to LDFLAGS

Comment 1 Fedora Update System 2015-03-21 17:33:28 UTC
xapian-bindings-1.2.20-1.fc20,xapian-core-1.2.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xapian-bindings-1.2.20-1.fc20,xapian-core-1.2.20-1.fc20

Comment 2 Fedora Update System 2015-03-21 17:33:36 UTC
xapian-bindings-1.2.20-1.fc21,xapian-core-1.2.20-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xapian-bindings-1.2.20-1.fc21,xapian-core-1.2.20-1.fc21

Comment 3 Fedora Update System 2015-03-21 17:33:44 UTC
xapian-bindings-1.2.20-1.fc22,xapian-core-1.2.20-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xapian-bindings-1.2.20-1.fc22,xapian-core-1.2.20-1.fc22

Comment 4 lnie 2015-03-23 03:29:21 UTC
xapian-bindings-1.2.20-1.fc22,xapian-core-1.2.20-1.fc22 works

Comment 5 Fedora Update System 2015-03-23 07:13:18 UTC
Package xapian-bindings-1.2.20-1.fc22, xapian-core-1.2.20-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xapian-bindings-1.2.20-1.fc22 xapian-core-1.2.20-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4447/xapian-bindings-1.2.20-1.fc22,xapian-core-1.2.20-1.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-29 04:48:36 UTC
xapian-bindings-1.2.20-1.fc22, xapian-core-1.2.20-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-02 15:32:50 UTC
xapian-bindings-1.2.20-1.fc21, xapian-core-1.2.20-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-02 15:38:10 UTC
xapian-bindings-1.2.20-1.fc20, xapian-core-1.2.20-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.